Search Premiums
curl --request POST \
--url https://api.virtuoussoftware.com/api/Premium/Search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"search": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({search: '<string>'})
};
fetch('https://api.virtuoussoftware.com/api/Premium/Search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Premium/Search"
payload = { "search": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Premium/Search");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"search\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Premium/Search';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({search: '<string>'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": 3200,
"name": "Riverside Hope Tote Bag",
"code": "TOTE-2025",
"description": "Canvas tote bag offered as a thank-you for year-end gifts of $100 or more.",
"price": 0,
"fairMarketValue": 12,
"cost": 4.5,
"inventoryCount": 480,
"isActive": true,
"createDateTimeUtc": "2025-10-01T09:00:00Z",
"createdByUser": "Development Team",
"modifiedDateTimeUtc": "2025-11-10T14:00:00Z",
"modifiedByUser": "Development Team",
"customFields": []
},
{
"id": 3205,
"name": "Commemorative Coffee Mug",
"code": "MUG-2025",
"description": "Ceramic mug offered as a thank-you for Giving Tuesday gifts.",
"price": 0,
"fairMarketValue": 8,
"cost": 3.25,
"inventoryCount": 250,
"isActive": true,
"createDateTimeUtc": "2025-11-15T17:30:00Z",
"createdByUser": "Development Team",
"modifiedDateTimeUtc": "2025-11-15T17:30:00Z",
"modifiedByUser": "Development Team",
"customFields": []
}
],
"total": 2
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Premiums
Search Premiums
POST
/
api
/
Premium
/
Search
Search Premiums
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of records to skip. Default = 0.
The number of records to take. Default = 10.
Body
application/json
Last modified on July 24, 2026
Was this page helpful?
⌘I